%global momorel 4

Summary: 	Utilities for the XFce Desktop Environment
Name: 		xfce-utils
Version: 	4.2.3
Release: 	%{momorel}m
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.gz
NoSource:       0
Source1:	xinitrc.momonga
Source2:	xfce4.desktop
Patch0: 	xfterm4-set-TERMCMD-rxvt.patch
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	libxfcegui4-devel >= %{version}
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	gtk+-devel >= 2.4.0
BuildRequires:	pkgconfig
BuildRequires:	libxml2-devel
BuildRequires: 	gettext

%description
xfce-utils contains utilities for the XFce Desktop Environment

%prep
%setup -q
%patch0 -p1

%build
%configure

# use new ja.po
rm -f po/ja.gmo

%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} mandir=%{_mandir}

# use xinitrc.momonga for startxfce4
mv %{buildroot}/%{_sysconfdir}/xdg/xfce4/xinitrc %{buildroot}/%{_sysconfdir}/xdg/xfce4/xinitrc.orig
install -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/xdg/xfce4/xinitrc

# install gdm session support
mkdir -p %{buildroot}%{_datadir}/xsessions
install -m 755 %{SOURCE2} %{buildroot}%{_datadir}/xsessions/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%{_bindir}/*
%{_libdir}/xfce4/mcs-plugins/*
%{_datadir}/applications/xfce-taskbar-settings.desktop
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/xfce4/AUTHORS*
%{_datadir}/xfce4/BSD*
%{_datadir}/xfce4/COPYING*
%{_datadir}/xfce4/GPL*
%{_datadir}/xfce4/INFO*
%{_datadir}/xfce4/LGPL*
%{_datadir}/xfce4/doc/xfce*
%{_datadir}/xfce4/doc/*/images/*
%{_datadir}/xfce4/doc/*/*.html
%{_datadir}/locale/*/*/*
%{_datadir}/xsessions/xfce4.desktop
%config(noreplace) %{_sysconfdir}/xdg/xfce4/*

%changelog
* Sat Jun 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.3-4m)
- delete duplicated dir

* Thu Jun  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.3-3m)
- import xfce4.desktop from Fedora Extras devel

* Thu May 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.3-2m)
- delete duplicate dir

* Mon Nov 21 2005 Kazuhiko <kazuhiko@fdiary.net>
- (4.2.3-1m)
- Xfce 4.2.3.2

* Fri May 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.2-1m)
- Xfce 4.2.2

* Sun Apr 18 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.1-2m)                                                   
- revive Patch0: xfterm4-set-TERMCMD-rxvt.patch

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.1-1m)                                                   
- Xfce 4.2.1

* Thu Mar 04 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.0-2m)                                                   
- comment out Patch0: xfterm4-set-TERMCMD-rxvt.patch

* Mon Jan 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.0-1m)                                                   
- Xfce 4.2

* Sat Dec 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.3-1m)
- Xfce 4.2-RC3

* Tue Dec 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.99.2-1m)
- Xfce 4.2-RC2

* Mon Nov 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.1-1m)
- Xfce 4.2-RC1

* Mon Nov  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.91-1m)
- Xfce 4.2BETA2

* Thu Oct 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.90-1m)
- update to 4.1.90

* Thu Jul 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.6-1m)
- minor bugfixes

* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.0.5-1m)
- Version update to 4.0.5

* Sun Apr 11 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-3m)
- rebuild against for gtk+-2.4.0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-2m)
- rebuild against for libxml2-2.6.8

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.4-1m)

* Sun Jan 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.3-1m)
- version up to 4.0.3

* Mon Dec 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-1m)
- version up to 4.0.2

* Mon Dec 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.1-1m)
- version up to 4.0.1

* Tue Nov 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.0-2m)
- add xfterm4-set-TERMCMD-rxvt.patch
- add gettext at BuildRequires

* Fri Sep 26 2003 Seinosuke Kaneda <kaneda@momonga-linux.org>
- (4.0.0-1m)
- version up

* Sat Sep 13 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (3.99.4-1m)
- XFce4 RC4 release
